Resume invoices that are blocked through the API
curl --request PATCH \
--url https://api.paytsoftware.com/v1/invoices/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'administration_id=<string>' \
--data 'fields=<string>' \
--data 'invoice_numbers=<string>' \
--data 'invoice_identifiers=<string>'import requests
url = "https://api.paytsoftware.com/v1/invoices/resume"
payload = {
"administration_id": "<string>",
"fields": "<string>",
"invoice_numbers": "<string>",
"invoice_identifiers": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
administration_id: '<string>',
fields: '<string>',
invoice_numbers: '<string>',
invoice_identifiers: '<string>'
})
};
fetch('https://api.paytsoftware.com/v1/invoices/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"count": 98,
"errors": {
"123456": [
"Validation error 1",
"Validation error 2"
],
"123461": [
"Validation error"
]
},
"warnings": {
"123457": [
"Warning message 1",
"Warning message 2"
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}invoices
Resume invoices that are blocked through the API
Resume invoices that are blocked through the API
PATCH
/
v1
/
invoices
/
resume
Resume invoices that are blocked through the API
Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Body
application/x-www-form-urlencoded
Administration identifier
JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})
Unique number from your invoicing software that is communicated to the debtor
Maximum array length:
1000Unique database identifier from your invoicing software
Maximum array length:
1000Response
Invoices resumed
CustomerApi_SuccessEntity model
Request was handled successfully
Number of records processed, those without errors
Example:
98
List of records that could not be processed and for which reasons
Example:
{
"123456": ["Validation error 1", "Validation error 2"],
"123461": ["Validation error"]
}
List of records that were partially processed, the messages contain warnings
Example:
{
"123457": ["Warning message 1", "Warning message 2"]
}
Last modified on August 13, 2026
Was this page helpful?
⌘I